All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Interface StaticTableTypeStylesInterface

All Superinterfaces:
  StaticTableTypeInterface

    public interface StaticTableTypeStylesInterface

extends StaticTableTypeInterface

Defines an interface for accessing a table's relational type styles.

The documentation for our parent interface, StaticTableTypeInterface, notes that:

> A view can use this type information to provide type-based traffic-lighting. For example, a view can allow a user to specify that cells of type "pass" should be colored blue while cells of type "fail" should be in red.

Well, this interface simply extends that one so that models may provide their own type-based traffic-lighting. (Views will typically defer to a model's preferences unless instructed otherwise.)

The traffic-lighting information is encapsulated in an object known as a style. A style is a set of property keys (Strings) with associated values (Objects) that are used as formatting defaults and rendering hints by a view.

Consumers of this interface (e.g. views) should listen for PropertyBagChangedEvents from the styles.

See Also:
  `StaticTableStyleInterface`, `CellStyle`, `ColumnStyle`, `RowStyle`

Method Summary
`abstract StaticPropertyBagInterface` | `getCellTypeStyle(java.lang.String type)` Returns the style associated with a given cell type.
`abstract StaticPropertyBagInterface[]` | `getCellTypeStyles()` Returns the complete set of styles associated with cell types.
`abstract StaticPropertyBagInterface` | `getColumnTypeStyle(java.lang.String type)` Returns the style associated with a given column type.
`abstract StaticPropertyBagInterface[]` | `getColumnTypeStyles()` Returns the complete set of styles associated with column types.
`abstract StaticPropertyBagInterface` | `getRowTypeStyle(java.lang.String type)` Returns the style associated with a given row type.
`abstract StaticPropertyBagInterface[]` | `getRowTypeStyles()` Returns the complete set of styles associated with row types.

Methods inherited from interface com.sas.table.StaticTableTypeInterface
`getCellType, getCellTypes, getColumnLabelType, getColumnType, getColumnTypes, getRowLabelType, getRowType, getRowTypes`

Method Detail

### getCellTypeStyles

    StaticPropertyBagInterface[] getCellTypeStyles()
                                                   throws com.sas.table.TableException

  Returns the complete set of styles associated with cell types.

  Returns:
    `null`, or a StaticPropertyBagInterface array ordered such that there is a one-to-one correspondence between its elements and the elements of the array returned by getCellTypes. Individual array elements may be `null`.
  Throws:
    `TableException` - Thrown if the query can not be satisfied (e.g. i/o-failure).
  See Also:
    `StaticTableTypeInterface.getCellTypes()`, `getCellTypeStyle(java.lang.String)`

### getCellTypeStyle

    StaticPropertyBagInterface getCellTypeStyle(java.lang.String type)
                                                throws com.sas.table.TableException

  Returns the style associated with a given cell type.

  Parameters:
    `type` - One of the types returned by `getCellTypes()`.
  Returns:
    A StaticPropertyBagInterface or `null`.
  Throws:
    `TableException` - Thrown if the query can not be satisfied (e.g. i/o-failure).
  See Also:
    `StaticTableTypeInterface.getCellTypes()`

### getColumnTypeStyles

    StaticPropertyBagInterface[] getColumnTypeStyles()
                                                     throws com.sas.table.TableException

  Returns the complete set of styles associated with column types.

  Returns:
    `null`, or a StaticPropertyBagInterface array ordered such that there is a one-to-one correspondence between its elements and the elements of the array returned by getColumnTypes. Individual array elements may be `null`.
  Throws:
    `TableException` - Thrown if the query can not be satisfied (e.g. i/o-failure).
  See Also:
    `StaticTableTypeInterface.getColumnTypes()`, `getColumnTypeStyle(java.lang.String)`

### getColumnTypeStyle

    StaticPropertyBagInterface getColumnTypeStyle(java.lang.String type)
                                                  throws com.sas.table.TableException

  Returns the style associated with a given column type.

  Parameters:
    `type` - One of the types returned by `getColumnTypes()`.
  Returns:
    A StaticPropertyBagInterface or `null`.
  Throws:
    `TableException` - Thrown if the query can not be satisfied (e.g. i/o-failure).
  See Also:
    `StaticTableTypeInterface.getColumnTypes()`

### getRowTypeStyles

    StaticPropertyBagInterface[] getRowTypeStyles()
                                                  throws com.sas.table.TableException

  Returns the complete set of styles associated with row types.

  Returns:
    `null`, or a StaticPropertyBagInterface array ordered such that there is a one-to-one correspondence between its elements and the elements of the array returned by getRowTypes. Individual array elements may be `null`.
  Throws:
    `TableException` - Thrown if the query can not be satisfied (e.g. i/o-failure).
  See Also:
    `StaticTableTypeInterface.getRowTypes()`, `getRowTypeStyle(java.lang.String)`

### getRowTypeStyle

    StaticPropertyBagInterface getRowTypeStyle(java.lang.String type)
                                               throws com.sas.table.TableException

  Returns the style associated with a given row type.

  Parameters:
    `type` - One of the types returned by `getRowTypes()`.
  Returns:
    A StaticPropertyBagInterface or `null`.
  Throws:
    `TableException` - Thrown if the query can not be satisfied (e.g. i/o-failure).
  See Also:
    `StaticTableTypeInterface.getRowTypes()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.